import { get, put, post, deletes } from '@/http/index'

// 查询辅助维修决策列表
export const getMaintenanceDecision = async (data) => {
  return await get('/als/maintenanceDecision/list', data)
}

// 新增辅助维修决策
export const addMaintenanceDecision = async (data) => {
  return await post('/als/maintenanceDecision', data)
}

// 修改辅助维修决策
export const updateMaintenanceDecision = async (data) => {
  return await put('/als/maintenanceDecision', data)
}

// 删除辅助维修决策
export const removeMaintenanceDecision = async (id) => {
  return await deletes('/als/maintenanceDecision/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
